Source: https://spooly.eu/en/docs/api/attention

# What needs attention

Everything that needs you today, in one call.

## Get what needs attention

`GET /attention`

Due maintenance, the number of prints waiting for review in the app, and low spools. Reviewing only works in the app.

```bash
curl "https://spooly.eu/api/v1/attention" \
  -H "Authorization: Bearer $SPOOLY_KEY"
```

Response (200):

```
{
  "maintenance_due": [
    {
      "id": "mc_4f60b9158e2a",
      "printer_id": "e41b7c09a3d65f28b0c94e17d2a86f35",
      "printer": "X1 Carbon von Tobi",
      "name": "Nozzle 0.4 mm",
      "status": "due",
      "metric": "kg",
      "interval": 5,
      "used": 5.2,
      "remaining": -0.2,
      "eta_days": 0,
      "snoozed_until": null,
      "last_done_at": "2026-08-12T09:30:00Z",
      "default_action": "replace"
    }
  ],
  "prints_to_review": 2,
  "low_spools": [
    {
      "id": "7f3c2a10-5e1b-4c8e-9a44-2d6b1f0c7e21",
      "number": 1,
      "title": "Jade White",
      "name": null,
      "manufacturer": "Bambu Lab",
      "material": "PLA Matte",
      "finish": "matt",
      "color_hex": "#E8E9DF",
      "color_name": "Jade White",
      "remaining_grams": 342,
      "spool_size_grams": 1000,
      "empty_spool_grams": 250,
      "fill_level": "low",
      "location": "Schrank 01 · Fach vorne · Platz 3",
      "location_id": "loc_3c9b7e1a5d60",
      "place": 3,
      "archived": false,
      "price": 19.99,
      "notes": null
    }
  ]
}
```
